LoguDocs
Open Logu

Sign-in · signInMethods

How you sign in

GET /api/auth/methods

Email (and whether it's verified), password, passkeys, and whether this session is fresh.

Who may call it
Anyone (no credentials)
Server
https://api.logu.dev

Example#

curl -s "https://api.logu.dev/api/auth/methods" \
  -H "Authorization: Bearer $LOGU_SESSION_TOKEN"

Responses#

200

The methods.

{
  "email": "ana@example.com",
  "emailVerified": true,
  "password": true,
  "passkeys": [
    {
      "id": "pk_9f2c1e",
      "name": "Chrome · macOS",
      "provider": "Google Password Manager",
      "backedUp": true,
      "createdAt": "2026-10-12T14:03:11.000Z"
    }
  ],
  "freshSession": false
}
Response fields
FieldTypeRequiredNotes
emailstringrequired
emailVerifiedbooleanrequired
passwordbooleanrequired
passkeysPasskeyInfo[]required
passkeys[].idstringrequired
passkeys[].namestring | nullrequired
passkeys[].providerstring | nullrequired
passkeys[].backedUpbooleanrequired
passkeys[].createdAtstring | nullrequired
freshSessionbooleanrequired

Errors#

Every error is {"error":{"code","message","hint","docUrl","requestId"}}: branch on code. See Errors.

StatusCodeMeaning
401unauthorizedNo credentials, or the API key or session is invalid or revoked.
500internal_errorSomething went wrong on Logu's side.